FlowInitiator.RPC
Keywords: net.corda.core.flows.FlowInitiator.RPC class
Date: 2023-09-18

net.corda.core.flows

## Class FlowInitiator.RPC

- net.corda.core.flows.FlowInitiator
- - net.corda.core.flows.FlowInitiator.RPC

- Enclosing class:
    FlowInitiator

      public static class FlowInitiator.RPC
      extends FlowInitiator

  Started using `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`.

  See Also:
    `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`

- - ### Constructor Detail

    - #### RPC

          public RPC(@NotNull
                     java.lang.String username)

      Started using `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`.

      See Also:
        `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`

  - ### Method Detail

    - #### getName

          @NotNull
          public java.lang.String getName()

    - #### getUsername

          @NotNull
          public java.lang.String getUsername()

    - #### component1

          @NotNull
          public java.lang.String component1()

    - #### copy

          @NotNull
          public net.corda.core.flows.FlowInitiator.RPC copy(@NotNull
                                                                      java.lang.String username)

      Started using `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`.

      See Also:
        `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Started using `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`.

      See Also:
        `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`

    - #### hashCode

          public int hashCode()

      Started using `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`.

      See Also:
        `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Started using `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`.

      See Also:
        `net.corda.core.messaging.CordaRPCOps.startFlowDynamic`